# Buffoonery: Tools for the [Jester Web Framework][jester]

Buffoonery is primarily an opinionated implementation of JWT-based session
management
a collection of extensions and patterns built around Jester to
facilitate the types of API services I tend to write.


## Building

### JDB Software Packages

Buffoonery depends on a number of packages which are not yet available in he
official Nim repository. The easiest way to get access to these packages is to
add a new `PackageList` to your [nimble configuration] for the [JDB Software Nim
packages repository]. The url is
`https://git.jdb-software.com/jdb/nim-packages/raw/main/packages.json`

[nimble configuration]: https://github.com/nim-lang/nimble#configuration
[JDB Software Nim packages]: https://git.jdb-software.com/jdb/nim-packages

## License

Buffoonery is available under two licenses depending on usage.

For private use, non-commercial use, or use in small enterprise (defined as any
enterprise bringing in less than $1 million in annual gross profit), Buffoonery
is available under the [MIT License][mit-license].

For commercial use in larger enterprises (more than $1 million in annual
gross profit), Buffoonery is available under the [GNU Affero General Public
License v3.0][agpl3]

[jester]: https://github.com/dom96/jester/
[mit-license]: https://mit-license.org/
[agpl3]: https://www.gnu.org/licenses/agpl-3.0.en.html
