# Package

version       = "0.4.7"
author        = "Jonathan Bernard"
description   = "Jonathan's opinionated extensions and auth layer for Jester."
license       = "MIT"
srcDir        = "src"


# Dependencies

requires "nim >= 1.6.2"

# from standard nimble repo
requires @["bcrypt", "mummy", "uuids", "webby"]

# from https://git.jdb-software.com/jdb/nim-packages
requires @["jwt_full >= 0.2.0"]

task unittest, "Runs the unit test suite.":
  exec "nim c -r test/runner"
