import logging, os, sequtils, strutils

proc enableConsoleLoggingWithEnvVar*(envVar = "DEBUG"): void =
  let val = getEnv(envVar, "false").toLower()
  if ("true".startsWith(val) or
      "yes".startsWith(val) or
      "on".startsWith(val) or
      val == "1") and
     not logging.getHandlers().anyIt(typeof(it) is ConsoleLogger):
    logging.addHandler(newConsoleLogger(levelThreshold = lvlDebug))
